<?php

define('_IN_JOHNCMS', 1);

$headmod = 'icq status';
$textl = 'Icq status';
require_once ("../incfiles/core.php");
require_once ("../incfiles/head.php");

           if (!$user_id) {
            echo display_error('Только для зарегистрированных');
            exit;
        }

$action=htmlspecialchars(trim($_GET['action']));


switch ($action){


default:
echo'<div class="phdr">Список топиков на которые вы подписаны<br/></div>';
$topik=mysql_query("SELECT * FROM `pod` WHERE `user_id`='$user_id'");
if(!mysql_num_rows($topik)){echo 'Вы не подписаны на темы!';}

$top=mysql_query("SELECT * FROM `pod` WHERE `user_id` = '$user_id' ORDER BY `topik_id`");

while($row=mysql_fetch_assoc($top)){
    $name=mysql_query("SELECT * FROM `forum` WHERE `from` = '$row[user_id]' ");
  //  $nam=mysql_query("SELECT * FROM `forum` WHERE `id` = '$user_id' ");
  echo '<a href="index.php?id=' . $row['topik_id'] . '">'.$row['text'].'</a> | <span class="red"><a href="pod.php?action=delete&amp;id=' . $row['topik_id'] . '"><small>удалить</small></a></span><br /><span class="white">-----</span><br />';
 // echo '<a href="index.php?id=' . $row['topik_id'] . '">'.$row['text'].'</a><br/>';
};



break;


case 'delete':
$id_top=(int)$_GET['id'];
$for=mysql_query("SELECT * FROM `forum` WHERE `id`='$id_top'");
$emp=mysql_query("SELECT * FROM `pod` WHERE `topik_id`='$id_top' AND `user_id`='$user_id'");
if(!mysql_num_rows($emp)){echo 'Вы не подписаны!';}else
if(!mysql_num_rows($for)){echo 'Такой темы не существует!';}else{
$ris=mysql_fetch_assoc($for);
mysql_query("DELETE FROM `pod` WHERE `user_id` = ".$user_id." AND `topik_id` = ".$id_top." LIMIT 1;");
//mysql_query("INSERT INTO `pod` SET `user_id`='".$user_id."'");
//mysql_query("INSERT INTO `pod` SET `topik_id`='".$id_topik."'");

echo 'Выполнено! Вы удалили тему '.$ris['text'].' из закладок<br/>';}
echo '<div class="msg"><a href="index.php">В форум</a></div>';
echo '<div class="msg"><a href="pod.php">В закладки</a></div>';
break;

case 'pod':
$id_topik=(int)$_GET['id'];
$forum=mysql_query("SELECT * FROM `forum` WHERE `id`='$id_topik'");
$empe=mysql_query("SELECT * FROM `pod` WHERE `topik_id`='$id_topik' AND `user_id`='$user_id'");
if(mysql_num_rows($empe)){echo 'Вы уже подписаны!';}else
if(!mysql_num_rows($forum)){echo 'Такой темы не существует!';}else{
$rise=mysql_fetch_assoc($forum);

mysql_query("INSERT INTO `pod` (`user_id`, `topik_id`, `text`)
VALUES ('".$user_id."', '".$id_topik."', '".$rise['text']."')");

echo 'Выполнено! Теперь вы подписаны на тему '.$rise['text'].'<br/><a href="index.php?id='.$id_topik.'">Перейти в тему!</a> ';}
echo '<div class="msg"><a href="index.php">В форум</a></div>';
echo '<div class="msg"><a href="pod.php">В закладки</a></div>';
break;

};
echo '<div class="menu"><a href="index.php">Назад</a></div>';

require_once ("../incfiles/end.php");
?>